<?xml version="1.0" encoding="UTF-8"?>
<!-- $Id: xml2map.xsl,v 1.1 2003/11/06 07:03:13 kshaikh Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="xml" indent="yes"/>

<!-- document -->
<xsl:template match="document">
<map version="1.0"> 
	<xsl:apply-templates select="document-body/table-of-content"/>
</map>
</xsl:template>

<xsl:template match="table-of-content">
	<mapID url="icons/tree.jpg" target="toplevelfolder"/>
	<mapID url="icons/book.gif" target="contentIcon"/>
	<mapID url="icons/search.gif" target="searchIcon"/>
	<mapID url="icons/bookmarks.gif" target="bookmarkIcon"/>
	<mapID url="icons/home.gif" target="homeIcon"/>
	<mapID url="icons/back.gif" target="backIcon"/>
	<mapID url="icons/add_bookmarks.gif" target="addBookmarkIcon"/>
	<mapID url="icons/refresh.gif" target="reloadIcon"/>
	<mapID url="icons/front.gif" target="forwardIcon"/>
	<mapID url="icons/print.gif" target="printIcon"/>
	<mapID url="icons/page_setup.gif" target="printSetupIcon"/>
	<mapID url="icons/folder_open.gif" target="openFolderIcon"/>
	<mapID url="icons/folder_closed.gif" target="closedFolderIcon"/>
	<mapID url="icons/topic.gif" target="topicIcon"/>
	<mapID target="table_of_content" url="table_of_content.html"/>
	<xsl:apply-templates select="link"/>
</xsl:template>

<xsl:template match="link">
	<xsl:variable name="target" select="substring-after(@href, '#')"/>
	<mapID target="{$target}" url="{$target}.html"/>
	<xsl:apply-templates select="link"/>
</xsl:template>

</xsl:stylesheet>
